package org.rexxla.bsf.engines.rexx;

import java.util.*;
import java.lang.reflect.*;


/**
  * This class carries out casting starting with Java 1.5.
  *
  *<pre>
  *  RexxAndJava.java - this class relays Java and (Object) Rexx
  *  Copyright (C) 2001-2005 Rony G. Flatscher
  *
  *  This library is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU Lesser General Public
  *  License as published by the Free Software Foundation; either
  *  version 2.1 of the License, or (at your option) any later version.
  *
  *  This library is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  *  Lesser General Public License for more details.
  *
  *  You should have received a copy of the GNU Lesser General Public
  *  License along with this library; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  *  The following URL may be available for further information:
  *
  *     <a href="http://www.gnu.org/copyleft/lesser.html">http://www.gnu.org/copyleft/lesser.html</a>
  *</pre>
  *
 *
  * @since 2005-06-19 by Rony G. Flatscher
  * @version 0.0.9, 2005-06-19
  * @author Rony G. Flatscher (WU Wien University)
  */

class RgfUtilCast {


    /** Casts an object starting with Java 1.5. Returns casted object.
      *
      * @param o object to be casted.
      * @param c class/interface object to be casted to.
      *
      * @return the first object from the vector or <code>null</code>, if
      *         empty.
      */
    static Object cast (Object o, Class c)
    {

System.err.println("\no=["+o+"], o.getClass()=["+o.getClass()+"], c=["+c+"].");

/*
        if (o instanceof Class)     // a class object in hand?
        {
            return ((Class) o).asSubclass(c);
        }

            // a normal object in hand
        Object a=c.cast(o);
System.err.println("a=["+a+"], a.getClass()=["+a.getClass()+"].");
        return a;
        // return c.cast(o);
*/
        return null;
    }

}
